[RESOLU] Installation respeaker 4


#21

voilà :sweat_smile:

pi@gladys:~/seeed-voicecard $ sudo ./install.sh
Atteint:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Atteint:2 http://archive.raspberrypi.org/debian stretch InRelease
Atteint:3 https://dl.yarnpkg.com/debian stable InRelease
Lecture des listes de paquets… Fait
Construction de l’arbre des d�pendances
Lecture des informations d’�tat… Fait
All packages are up to date.
Lecture des listes de paquets… Fait
Construction de l’arbre des d�pendances
Lecture des informations d’�tat… Fait
raspberrypi-kernel is already the newest version (1.20181112-1).
raspberrypi-kernel-headers is already the newest version (1.20181112-1).
Les paquets suivants ont �t� install�s automatiquement et ne sont plus n�cessaires�:
gfortran gfortran-6 libatlas-dev libaudio-scrobbler-perl libblas-dev
libgfortran-6-dev libopencore-amrnb0 libopencore-amrwb0 libpng12-0
libsox-fmt-alsa libsox-fmt-ao libsox-fmt-base libsox-fmt-mp3 libsox-fmt-oss
libsox-fmt-pulse libsox2
Veuillez utiliser ��sudo apt autoremove�� pour les supprimer.
0 mis � jour, 0 nouvellement install�s, 0 � enlever et 0 non mis � jour.
Lecture des listes de paquets… Fait
Construction de l’arbre des d�pendances
Lecture des informations d’�tat… Fait
dkms is already the newest version (2.3-2).
git is already the newest version (1:2.11.0-3+deb9u4).
i2c-tools is already the newest version (3.1.2-3).
libasound2-plugins is already the newest version (1.1.1-1).
Les paquets suivants ont �t� install�s automatiquement et ne sont plus n�cessaires�:
gfortran gfortran-6 libatlas-dev libaudio-scrobbler-perl libblas-dev
libgfortran-6-dev libopencore-amrnb0 libopencore-amrwb0 libpng12-0
libsox-fmt-alsa libsox-fmt-ao libsox-fmt-base libsox-fmt-mp3 libsox-fmt-oss
libsox-fmt-pulse libsox2
Veuillez utiliser ��sudo apt autoremove�� pour les supprimer.
0 mis � jour, 0 nouvellement install�s, 0 � enlever et 0 non mis � jour.
Error! There are no instances of module: seeed-voicecard
0.3 located in the DKMS tree.
Creating symlink /var/lib/dkms/seeed-voicecard/0.3/source ->
/usr/src/seeed-voicecard-0.3
DKMS: add completed.
Kernel preparation unnecessary for this kernel. Skipping…
Building module:
cleaning build area…
make -j4 KERNELRELEASE=4.14.79+ -C /lib/modules/4.14.79+/build M=/var/lib/dkms/seeed-voicecard/0.3/build…
cleaning build area…
DKMS: build completed.
Kernel preparation unnecessary for this kernel. Skipping…
Building module:
cleaning build area…
make -j4 KERNELRELEASE=4.14.79-v7+ -C /lib/modules/4.14.79-v7+/build M=/var/lib/dkms/seeed-voicecard/0.3/build…
cleaning build area…
DKMS: build completed.
Error! echo
Your kernel headers for kernel 4.14.84+ cannot be found at
/lib/modules/4.14.84+/build or /lib/modules/4.14.84+/source.
Error! echo
Your kernel headers for kernel 4.14.84-v7+ cannot be found at
/lib/modules/4.14.84-v7+/build or /lib/modules/4.14.84-v7+/source.
Error! echo
Your kernel headers for kernel 4.14.90+ cannot be found at
/lib/modules/4.14.90+/build or /lib/modules/4.14.90+/source.
Error! echo
Your kernel headers for kernel 4.14.90-v7+ cannot be found at
/lib/modules/4.14.90-v7+/build or /lib/modules/4.14.90-v7+/source.
git init
D�p�t Git vide initialis� dans /etc/voicecard/.git/
git add --all
git commit -m “origin configures”
[master (commit racine) dde7fa2] origin configures
7 files changed, 1476 insertions(+)
create mode 100644 ac108_6mic.state
create mode 100644 ac108_asound.state
create mode 100644 asound_2mic.conf
create mode 100644 asound_4mic.conf
create mode 100644 asound_6mic.conf
create mode 100644 dkms.conf
create mode 100644 wm8960_asound.state
Created symlink /etc/systemd/system/sysinit.target.wants/seeed-voicecard.service -> /lib/systemd/system/seeed-voicecard.service.
Please reboot your raspberry pi to apply all settings
Enjoy!
je croise les doigts maintenant


#22

Salut @jejeaure , je ne suis pas vraiment caler pour te conseiller mais certains ont eux le meme soucis que toi et sur github ils parlent d’un problème de kernel … Essaies ça : sudo apt install raspberrypi-kernel-headers -y et ensuite relance l’installation pour voir :slight_smile:

et si ça ne fonctionne pas, fait une sauvegarde de ta carte SD au cas où, une fois fait en ssh tu fais:

sudo rm /lib/modules/4.14.84+
sudo rm /lib/modules/4.14.84-v7+
sudo rm /lib/modules/4.14.90+
sudo rm /lib/modules/4.14.90-v7+

sudo  ./uninstall.sh 

reboot et relance l’installation


#23

Bonjour Jean34 et encore merci de ton aide en espérant qu’on trouve, je viens de faire la première solution qui n’a malheureusement pas fonctionné donc là je suis entrain de faire la deuxième


#24

il me marque ça :disappointed_relieved:

pi@gladys:~ $ sudo rm /lib/modules/4.14.84+
rm: impossible de supprimer ‘/lib/modules/4.14.84+’: est un dossier
pi@gladys:~ $ cd seeed-voicecard/
pi@gladys:~/seeed-voicecard $ sudo rm /lib/modules/4.14.84+
rm: impossible de supprimer ‘/lib/modules/4.14.84+’: est un dossier
pi@gladys:~/seeed-voicecard $ sudo rm /lib/modules/4.14.84-v7+
rm: impossible de supprimer ‘/lib/modules/4.14.84-v7+’: est un dossier
pi@gladys:~/seeed-voicecard $ sudo rm /lib/modules/4.14.90+
rm: impossible de supprimer ‘/lib/modules/4.14.90+’: est un dossier
pi@gladys:~/seeed-voicecard $ sudo rm /lib/modules/4.14.90-v7+
rm: impossible de supprimer ‘/lib/modules/4.14.90-v7+’: est un dossier
pi@gladys:~/seeed-voicecard $


#25

ça y est supprimé avec -Rf en plus de rm
par contre plus de connexion ssh :sweat_smile:
Je restaurerais la carte ce soir merci Jean34 pour mon casse tête


#26

Affaire résolu j’ai tout reformaté et reparti de zéro !!!
Merci à tous ceux qui m’ont aidé.